% Generate synthetic dataset or load real dataset
[X Y a b d ] = generateData('1D_3', 50, @choiceModel_exp);

% parameters
kernel = struct('type', 'rbf', 'sigma', 2.^(-2:2));
mus = 10.^(-5:2);
a = tril(a, -1);
b = tril(b, -1);
[W mu kernel] = yada_learn(X, a, b, @choiceModel_exp, 1, mus, kernel, 'on', 5);

% some out of sample objects in raw space.
X_new =  X + 0.1; 
Y_new =  yada_map(X_new, W, X, kernel);
X_rec = yada_inverse_map(Y_new, W, X, kernel);